Bug 868665 - OSError: [Errno 1] Operation not permitted
OSError: [Errno 1] Operation not permitted
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
abrt_hash:7f1324b7607ba9e4f747a198236...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-21 10:38 EDT by Reartes Guillermo
Modified: 2014-02-05 07:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:39:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (296.03 KB, text/plain)
2012-10-21 10:38 EDT, Reartes Guillermo
no flags Details
File: product (6 bytes, text/plain)
2012-10-21 10:38 EDT, Reartes Guillermo
no flags Details
File: type (9 bytes, text/plain)
2012-10-21 10:38 EDT, Reartes Guillermo
no flags Details
File: ifcfg.log (641 bytes, text/plain)
2012-10-21 10:38 EDT, Reartes Guillermo
no flags Details
File: storage.log (132.48 KB, text/plain)
2012-10-21 10:38 EDT, Reartes Guillermo
no flags Details
File: version (11 bytes, text/plain)
2012-10-21 10:38 EDT, Reartes Guillermo
no flags Details
File: environ (780 bytes, text/plain)
2012-10-21 10:38 EDT, Reartes Guillermo
no flags Details
File: anaconda.log (21.17 KB, text/plain)
2012-10-21 10:38 EDT, Reartes Guillermo
no flags Details
File: syslog (61.09 KB, text/plain)
2012-10-21 10:38 EDT, Reartes Guillermo
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-21 10:38 EDT, Reartes Guillermo
no flags Details
File: packaging.log (3.52 KB, text/plain)
2012-10-21 10:38 EDT, Reartes Guillermo
no flags Details
File: cmdline_file (96 bytes, text/plain)
2012-10-21 10:38 EDT, Reartes Guillermo
no flags Details
File: release (24 bytes, text/plain)
2012-10-21 10:38 EDT, Reartes Guillermo
no flags Details
File: program.log (25.10 KB, text/plain)
2012-10-21 10:38 EDT, Reartes Guillermo
no flags Details

  None (edit)
Description Reartes Guillermo 2012-10-21 10:38:04 EDT
Description of problem:
I seleced manual partitioning, deleted all partitions, then used the fature to propose a partition layout.
I selected the proposed / and changed its type to VFAT. 
I was able to start installation with such setup.

Anaconda must not permit a vfat / filesystem. 

Well, unless anaconda is going to support umsdos :-)


Version-Release number of selected component:
anaconda-18.19

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.1-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.19 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 1761, in makeMtab
:    os.symlink(target, path)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 1645, in write
:    self.makeMtab()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 109, in doInstall
:    storage.write()
:  File "/usr/lib64/python2.7/threading.py", line 504, in run
:    self.__target(*self.__args, **self.__kwargs)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 91, in run
:    threading.Thread.run(self, *args, **kwargs)
:OSError: [Errno 1] Operation not permitted
Comment 1 Reartes Guillermo 2012-10-21 10:38:14 EDT
Created attachment 630889 [details]
File: anaconda-tb
Comment 2 Reartes Guillermo 2012-10-21 10:38:16 EDT
Created attachment 630890 [details]
File: product
Comment 3 Reartes Guillermo 2012-10-21 10:38:18 EDT
Created attachment 630891 [details]
File: type
Comment 4 Reartes Guillermo 2012-10-21 10:38:20 EDT
Created attachment 630892 [details]
File: ifcfg.log
Comment 5 Reartes Guillermo 2012-10-21 10:38:25 EDT
Created attachment 630893 [details]
File: storage.log
Comment 6 Reartes Guillermo 2012-10-21 10:38:27 EDT
Created attachment 630894 [details]
File: version
Comment 7 Reartes Guillermo 2012-10-21 10:38:29 EDT
Created attachment 630895 [details]
File: environ
Comment 8 Reartes Guillermo 2012-10-21 10:38:32 EDT
Created attachment 630896 [details]
File: anaconda.log
Comment 9 Reartes Guillermo 2012-10-21 10:38:35 EDT
Created attachment 630897 [details]
File: syslog
Comment 10 Reartes Guillermo 2012-10-21 10:38:37 EDT
Created attachment 630898 [details]
File: hashmarkername
Comment 11 Reartes Guillermo 2012-10-21 10:38:40 EDT
Created attachment 630899 [details]
File: packaging.log
Comment 12 Reartes Guillermo 2012-10-21 10:38:43 EDT
Created attachment 630900 [details]
File: cmdline_file
Comment 13 Reartes Guillermo 2012-10-21 10:38:45 EDT
Created attachment 630901 [details]
File: release
Comment 14 Reartes Guillermo 2012-10-21 10:38:47 EDT
Created attachment 630902 [details]
File: program.log
Comment 15 Fedora End Of Life 2013-12-21 04:09:44 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2014-02-05 07:39:24 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.